/** Use nat95_ugpalsat **/

regress zgpa zlsat zugpa asian black hisp other male
listcoef, std

encode race_cat, gen(race)

gen race_m=race 
replace race_m=. if race==4

mlogit race_m zlsat zugpa  
predict b1 b2 b3 b4 b5

/* Preparation of race dummies incorporating predictions from mlogit for students who didn't report race- replace dummies with probabilities from  'predict' [choose from one of the mlogit variations above] currently using b1 etc  since q41a&b are missing for most non-reporters */  

replace asian=b1 if race==4 
replace black=b2 if race==4 
replace hisp=b3 if race==4 
replace other=b4 if race==4 
replace white=b5 if race==4  
regress zgpa zlsat zugpa asian black hisp other male
listcoef, std

